Bug # 52815 (Closed): Translation Handling for FAL

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2013-10-14 Assigned To: Steffen Ritter
Updated: 2013-10-15 Due date:
TYPO3 Version: 6.2
PHP Version: 5.4
Complexity:
Is Regression: No
Sprint Focus:
Subject: In Frontend Language and Workspace overlay need to be done
Description

Related issues:
related to Core - Bug # 52865: Incomplete mock in ext:frontend FAL getData test Resolved 2013-10-15

Associated revisions
Revision 0d69f740 - 2013-10-15 18:39 - Steffen Ritter

[FEATURE] Enable frontend to show translated file metadata

The frontend should show translated file metadata.
Since translation is not the concern of a file abstraction
layer and the FAL does not know about frontend language
settings this concern has to be decoupled.

For that purpose the MetaDataRepository has been extended
with an signal which is fired before the metadata-record
is returned. In Frontend-Context a Slot is registered
which passes that record through the according functionality
in \TYPO3\CMS\Frontend\Page\PageRepository::getRecordOverlay
so that a clean language and workspace overlay happen
according to the settings of TSFE.

Releases: 6.2
Resolves: #52818
Change-Id: I7b7791abd63d2a69480ed31861c63de1585a569c
Reviewed-on: https://review.typo3.org/24766
Reviewed-by: Frans Saris
Tested-by: Frans Saris
Reviewed-by: Fabien Udriot
Reviewed-by: Francois Suter
Tested-by: Francois Suter
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny

Revision 60670fb6 - 2013-10-15 22:34 - Christian Kuhn

[BUGFIX] Incomplete mock in ext:frontend FAL getData test

2015-08-04 1/2

https://review.typo3.org/24766


The patch for #52818 triggered a failing test for ext:frontend
getData(). The patch mocks a File Resource properly to not test
FAL internals, but only the getData() logic.

Change-Id: I7312f4b9991931008fa68b66dcc9913162c222be
Resolves: #52865
Related: #52818
Releases: 6.2
Reviewed-on: https://review.typo3.org/24819
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Steffen Ritter
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2013-10-15 00:18 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24766

#2 - 2013-10-15 10:34 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24766

#3 - 2013-10-15 14:31 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24766

#4 - 2013-10-15 19:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0d69f740086120ffee7409001f7090520ab9734c.

2015-08-04 2/2

https://review.typo3.org/24819
https://review.typo3.org/24766
https://review.typo3.org/24766
https://review.typo3.org/24766

